Page MenuHomePhabricator

Support different file names and file descriptions in batch uploads
Open, LowPublic

Description

The T57088 added the possibility to upload multiple files at once but this is only really usable from the command line. If another script (e.g. flickrripper see T78506) wants to use it it's not possible to set a filename and filedescription for each. Especially the first is fatal and could lead to invalid upload tries when the file endings don't match (the second could be worked around by editing the filepage after upload).

One suggestion I have is to make the list a two dimensional. Still allow for each entry a string (the URL) and work as before or allow a tuple or list which contains each of the three values. This packs all information together (so not each list of data has to be handled separately) and also allows for entries in that list to not provide a filename and description and then use the defaults (like it would do currently).

Also required for https://gerrit.wikimedia.org/r/#/c/181126/

Event Timeline

XZise created this task.Jan 9 2015, 11:12 AM
XZise raised the priority of this task from to Needs Triage.
XZise updated the task description. (Show Details)
XZise added subscribers: XZise, murfel.
XZise added a comment.Jan 9 2015, 11:14 AM

There is a GCI entry in the works and @murfel showed interest but is currently working on another task. So the entry should be released in two days when murfel can claim it and prevents that another participant is working on it concurrent with murfel (who suggested to work on it already).

murfel claimed this task.Jan 9 2015, 11:22 AM

Change 184209 had a related patch set uploaded (by Murfel):
Different filenames and descriptions support for Uploadbot

https://gerrit.wikimedia.org/r/184209

Patch-For-Review

Change 184210 had a related patch set uploaded (by Murfel):
Different filenames and descriptions support for Uploadbot

https://gerrit.wikimedia.org/r/184210

Patch-For-Review

Change 184209 abandoned by Murfel:
Different filenames and descriptions support for Uploadbot

Reason:
Misused git. Sorry about this.
See https://gerrit.wikimedia.org/r/#/c/184210/

https://gerrit.wikimedia.org/r/184209

jayvdb moved this task from Backlog to pywikibot on the Google-Code-in-2014 board.Jan 15 2015, 1:16 AM
Nemo_bis updated the task description. (Show Details)Jun 17 2015, 10:30 AM
Nemo_bis set Security to None.
jayvdb added a subscriber: jayvdb.
Xqt triaged this task as Low priority.Oct 30 2016, 11:49 AM
Restricted Application added a subscriber: Avicennasis. · View Herald TranscriptOct 30 2016, 11:49 AM
D3r1ck01 moved this task from Backlog to Needs Review on the Pywikibot board.Nov 5 2018, 11:37 AM